## python-tx-tftp 0.1~bzr31

=== debian/changelog ===
python-tx-tftp (0.1~bzr31-0ubuntu8) raring; urgency=low

  * debian/patches/03-longer-timeouts.patch: Increase the timeout to not
    discard the session state because some clients are less tolerant to
    the provided timeouts. This solution closer matches that of tftpd-hpa.
    Thanks to Spads and Daviey for investigating and coming up with the
    solution. (LP: #1155556)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 01 Apr 2013 15:19:30 -0400

python-tx-tftp (0.1~bzr31-0ubuntu7) raring; urgency=low

  [ Julian Edwards ]
  * Add d/p/02-ip-context.patch (LP: #1068843)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 31 Oct 2012 10:10:04 +0100

python-tx-tftp (0.1~bzr31-0ubuntu6) quantal; urgency=low

  * d/p/logmsg-ftbfs.patch: Added an extra log.msg() bug fix for bad string
    formatting, annotated patch with upstream bug report (LP: #1062031). 

 -- James Page <james.page@ubuntu.com>  Tue, 09 Oct 2012 16:42:41 +0100

python-tx-tftp (0.1~bzr31-0ubuntu5) quantal; urgency=low

  * debian/patches/logmsg-ftbfs.patch: Fixes obvious log.msg() bug causing
    FTBFS in Ubuntu 12.10.  (LP: #1055581)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 24 Sep 2012 11:29:37 -0400

python-tx-tftp (0.1~bzr31-0ubuntu4) quantal; urgency=low

  * debian/patches/01-tsize-support.patch: Updated to include missing patch
    hunks. Fixes not being able to download files due to permissions.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 24 Aug 2012 14:45:26 -0400

python-tx-tftp (0.1~bzr31-0ubuntu3) quantal; urgency=low

  * debian/patches/01-tsize-support.patch: Adds tsize support to comply
    with RFC 2349. Thanks to Gavin Panella.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Jul 2012 12:30:07 -0400

python-tx-tftp (0.1~bzr31-0ubuntu2) quantal; urgency=low

  * Enable tests:
    - debian/control: Build-Dep on python-twisted.
    - debian/rules: Run tests with 'trial'.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 13 Jul 2012 23:06:56 -0400

python-tx-tftp (0.1~bzr31-0ubuntu1) quantal; urgency=low

  * Initial release (LP: #1023181)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 14 Mar 2012 12:14:31 -0400

## python-tx-tftp 0.1~bzr37

=== debian/changelog ===
python-tx-tftp (0.1~bzr37-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/patches:
    - 01-tsize-support.patch, 02-ip-context.patch, logmsg-ftbfs.patch: Drop.
      Merged upstream.
    - 03-longer-timeouts.patch: Refreshed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 31 May 2013 14:08:16 -0400

## python-tx-tftp 0.1~bzr38

=== debian/changelog ===
python-tx-tftp (0.1~bzr38-0ubuntu4~14.04.1) trusty-proposed; urgency=medium

  * debian/patches/05_lp1317705.patch: Regonise error code 8, which is
    used to terminate a transfer due to option negotiation.
    See RFC 2347, "TFTP Option Extension". (LP: #1317705)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 22 Jun 2015 12:33:26 -0400

python-tx-tftp (0.1~bzr38-0ubuntu3) utopic; urgency=medium

  * debian/patches/04-implement-rollover.patch: Resets the block number
    counter back to 0 after it reaches 2^16. (LP: #1476175)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 06 May 2014 16:18:36 -0500

python-tx-tftp (0.1~bzr38-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:14 +0000

python-tx-tftp (0.1~bzr38-0ubuntu1) trusty; urgency=low

  * New upstream release
  * debian/patches/03-longer-timeouts.patch: Refreshed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 30 Jan 2014 12:48:01 -0500

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$PWD trial -B tftp


DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=python-tx-tftp-$(VER).orig \
             python-tx-tftp_$(VER).orig.tar.gz lp:python-tx-tftp

## python-tx-tftp 0.1~bzr47

=== Makefile ===
PYTHON := python

# ---

develop: bin/python setup.py
	bin/python setup.py develop

dist: bin/python setup.py README
	bin/python setup.py egg_info sdist

upload: bin/python setup.py README
	bin/python setup.py egg_info sdist upload

test: bin/tox
	@bin/tox

clean:
	$(RM) -r bin build dist include lib local share TAGS tags
	find . -name '*.py[co]' -print0 | xargs -r0 $(RM) -r
	find . -name '__pycache__' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg-info' -print0 | xargs -r0 $(RM) -r
	find . -name '*~' -print0 | xargs -r0 $(RM)
	$(RM) -r .eggs .tox _trial_temp

# ---

README: README.markdown
	pandoc --from markdown --to rst --output $@ $^

# ---

bin/tox: bin/pip
	bin/pip install --quiet --ignore-installed tox

bin/python bin/pip:
	virtualenv --python=$(PYTHON) --quiet $(CURDIR)

# ---

.PHONY: develop dist upload test clean

## python-tx-tftp 0.1~bzr42

=== debian/changelog ===
python-tx-tftp (0.1~bzr42-0ubuntu2) xenial; urgency=medium

  * debian/control: Depends on python3-twisted instead of
    python3-twisted-experimental.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 15 Dec 2015 11:52:39 -0500

python-tx-tftp (0.1~bzr42-0ubuntu1) xenial; urgency=medium

  * Enable python3
    - debian/control: Add python3 definitions.
    - debian/rule: Build with python3.
    - debian/patches/{98-setup-py-and-tox,99-python3-support}.patch: Add
      support for a setup.py for python3.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Oct 2015 18:29:19 -0400

python-tx-tftp (0.1~bzr38-0ubuntu4) wily; urgency=medium

  * debian/patches/05_lp1317705.patch: Regonise error code 8, which is
    used to terminate a transfer due to option negotiation.
    See RFC 2347, "TFTP Option Extension". (LP: #1317705)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 22 Jun 2015 12:33:26 -0400

=== debian/control ===
Source: python-tx-tftp
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8),
               dh-python,
               python (>= 2.7),
               python-twisted-core,
               python-setuptools,
               python3-all,
               python3-twisted,
               python3-setuptools,
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/shylent/python-tx-tftp

Package: python-txtftp
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-twisted,
         python-zope.interface
Description: Twisted-based TFTP implementation
 A Twisted-based TFTP implementation that implements:
 .
  * RFC1350 (base TFTP specification) support.
  * Asynchronous backend support.
  * netascii transfer mode.
  * RFC2347 (TFTP Option Extension) support. blksize (RFC2348) and timeout.
    (partial support for RFC2349) options are supported.
  * An actual TFTP server.
  * Plugin for twistd.

Package: python3-txtftp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-twisted,
         python3-zope.interface
Description: Twisted-based TFTP implementation
 A Twisted-based TFTP implementation that implements:
 .
  * RFC1350 (base TFTP specification) support.
  * Asynchronous backend support.
  * netascii transfer mode.
  * RFC2347 (TFTP Option Extension) support. blksize (RFC2348) and timeout.
    (partial support for RFC2349) options are supported.
  * An actual TFTP server.
  * Plugin for twistd.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,27 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=tftp
 BUILDHOME = $(CURDIR)/debian/build
+PYVERS := $(shell pyversions -r)
+PY3VERS := $(shell py3versions -r)
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	dh_auto_install
+	set -ex; for python in $(PYVERS); do \
+		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+		dh_install twisted/plugins/tftp_plugin.py usr/lib/$$python/dist-packages/twisted/plugins -ppython-txtftp; \
+	done
+	set -ex; for python in $(PY3VERS); do \
+		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+		dh_install twisted/plugins/tftp_plugin.py usr/lib/python3/dist-packages/twisted/plugins -ppython3-txtftp; \
+	done
+
+override_dh_auto_build:
+	# Do nothing here cause build process installs things
+	# from the internet.
 
 override_dh_clean:
 	dh_clean
@@ -20,5 +38,5 @@
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
 get-orig-source:
-	bzr export -r $(REV) --root=python-tx-tftp-$(VER).orig \
+	bzr export -r $(REV) --root=python-tx-tftp-$(VER) \
              python-tx-tftp_$(VER).orig.tar.gz lp:python-tx-tftp

## python-tx-tftp 0.1~bzr47

=== debian/changelog ===
python-tx-tftp (0.1~bzr47-0ubuntu6) focal; urgency=medium

  * Disable build-time tests, which depend on trial which has been 
    dropped with the python3-only twisted.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Apr 2020 07:36:12 +0000

python-tx-tftp (0.1~bzr47-0ubuntu5) focal; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Apr 2020 22:25:41 -0700

python-tx-tftp (0.1~bzr47-0ubuntu4) focal; urgency=medium

  * Build using python2.
  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 16:54:03 +0100

python-tx-tftp (0.1~bzr47-0ubuntu3) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:44:39 +0000

python-tx-tftp (0.1~bzr47-0ubuntu2) bionic; urgency=medium

  * Bump dephelper and standards versions.
  * Fix build with recent setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 12:57:06 +0200

python-tx-tftp (0.1~bzr47-0ubuntu1) zesty; urgency=medium

  * New upstream revision that only includes bug fixes and changes made 
    in previous Ubuntu packaging (lp:python-tfx-tftp) (LP: #1682187).
    - Include fixes to setup.py and tox (bzr43).
    - Include port to python3 (bzr44).
    - Mention object transfer in README (bzr45)
    - Fix handle non-RRQ/WRQ datagrams on default port (bzr46) (LP: #1682139)
    - Fix tracebacks that cause tftp to temporarily stop with
      missing 'stopListening', 'socket' (LP: #1376483, LP: #1381129)
  * debian/patches:
    - 04-setup-py-and-tox.patch: Drop, merged upstream (bzr43)
    - 05-python3-support.patch: Drop, merged upstream (bzr44)
    - 99-drop-trial.patch: Drop setuptools_trial, provided that it is not
      in the Ubuntu archive.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Apr 2017 11:03:56 -0400

=== debian/control ===
Source: python-tx-tftp
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-twisted,
               python3-setuptools,
Standards-Version: 4.1.4
Homepage: https://github.com/shylent/python-tx-tftp

Package: python3-txtftp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-twisted,
         python3-zope.interface
Description: Twisted-based TFTP implementation
 A Twisted-based TFTP implementation that implements:
 .
  * RFC1350 (base TFTP specification) support.
  * Asynchronous backend support.
  * netascii transfer mode.
  * RFC2347 (TFTP Option Extension) support. blksize (RFC2348) and timeout.
    (partial support for RFC2349) options are supported.
  * An actual TFTP server.
  * Plugin for twistd.

=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,13 @@
 
 export PYBUILD_NAME=tftp
 BUILDHOME = $(CURDIR)/debian/build
-PYVERS := $(shell pyversions -r)
 PY3VERS := $(shell py3versions -r)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
-	set -ex; for python in $(PYVERS); do \
-		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
-		dh_install twisted/plugins/tftp_plugin.py usr/lib/$$python/dist-packages/twisted/plugins -ppython-txtftp; \
-	done
 	set -ex; for python in $(PY3VERS); do \
 		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 		dh_install twisted/plugins/tftp_plugin.py usr/lib/python3/dist-packages/twisted/plugins -ppython3-txtftp; \
@@ -26,10 +21,11 @@
 override_dh_clean:
 	dh_clean
 	rm -rf $(BUILDHOME)
+	rm -rf debian/python-tftp debian/python3-tftp
 
 override_dh_auto_test:
-	mkdir -p $(BUILDHOME)
-	HOME=$(BUILDHOME) PYTHONPATH=$PWD trial -B tftp
+	#mkdir -p $(BUILDHOME)
+	#HOME=$(BUILDHOME) PYTHONPATH=$PWD trial -B tftp
 
 
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))

## python-tx-tftp 0.1%7ebzr31

=== debian/changelog ===
python-tx-tftp (0.1~bzr31-0ubuntu6.1~12.04.1) precise-proposed; urgency=low

  * SRU to satisfy MAAS Dependency requirements. The upcoming MAAS SRU
    requires python-tx-tftp in order to be able to provide a TFTP server.
    (LP: #1109209)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 15 Feb 2013 11:09:45 -0500

python-tx-tftp (0.1~bzr31-0ubuntu6.1) quantal-proposed; urgency=low

  [ Julian Edwards ]
  * Add d/p/02-ip-context.patch: Allow the backend to know from what
    address the request came from. (LP: #1068843)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 23 Nov 2012 14:10:55 -0500
